# Method: drives.update

- [HTTP request](https://developers.google.com/workspace/drive/api/reference/rest/v2/drives/update#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/drive/api/reference/rest/v2/drives/update#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/workspace/drive/api/reference/rest/v2/drives/update#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/workspace/drive/api/reference/rest/v2/drives/update#body.request_body)
- [Response body](https://developers.google.com/workspace/drive/api/reference/rest/v2/drives/update#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/drive/api/reference/rest/v2/drives/update#body.aspect)
- [Try it!](https://developers.google.com/workspace/drive/api/reference/rest/v2/drives/update#try-it)

Updates the metadata for a shared drive.

### HTTP request

`PUT https://www.googleapis.com/drive/v2/drives/{driveId}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `driveId` | `string` The ID of the shared drive. |

### Query parameters

| Parameters ||
|---|---|
| `useDomainAdminAccess` | `boolean` Issue the request as a domain administrator; if set to true, then the requester will be granted access if they are an administrator of the domain to which the shared drive belongs. |

### Request body

The request body contains an instance of `https://developers.google.com/workspace/drive/api/reference/rest/v2/drives#Drive`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/workspace/drive/api/reference/rest/v2/drives#Drive`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/drive`

Some scopes are restricted and require a security assessment for your app to use them. For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).